Opened 5 years ago

Closed 5 years ago

#5723 closed bug (invalid)

GHCi (7.4.0.20111219) sometimes segfaults when reading .ghci

Reported by: konn Owned by: pumpkin
Priority: high Milestone: 7.4.3
Component: GHCi Version: 7.3
Keywords: GHCi, SEGV Cc: anton.nik@…
Operating System: MacOS X Architecture: x86_64 (amd64)
Type of failure: GHCi crash Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:

Description

If ~/.ghci is set to load some module when startup, GHCi sometimes raises SEGV. "Sometimes" means that ghci sometimes launched successfully and sometimes not. So please try it more than three times.

Below is the minimal .ghci file to reproduce the problem:

:m Prelude

I use virthualenv package to use GHC-7.4.1RC. I installed it as below:

$ wget http://www.haskell.org/ghc/dist/7.4.1-rc1/ghc-7.4.0.20111219-x86_64-apple-darwin.tar.bz2
$ virthualenv --ghc=/***/***/install/ghc-7.4.0.20111219-x86_64-apple-darwin.tar.bz2

Used virthualenv package is built on GHC 7.0.4.

Change History (13)

comment:1 Changed 5 years ago by igloo

difficulty: Unknown
Milestone: 7.4.1
Owner: set to igloo
Priority: normalhigh

I can't reproduce this on amd64/Linux validate builds. I'll try on the OS X 64 RC.

comment:2 Changed 5 years ago by igloo

comment:3 Changed 5 years ago by igloo

Priority: highhighest

comment:4 Changed 5 years ago by igloo

I can't reproduce it by installing ghc-7.4.0.20111219-x86_64-apple-darwin.tar.bz2 either. Tried both with and without .ghci.

comment:5 Changed 5 years ago by igloo

I can't reproduce it by installing with virthualenv either.

comment:6 Changed 5 years ago by simonmar

Owner: changed from igloo to simonmar

I managed to repro it here with the RC1 tarball. Looking into it further...

comment:7 Changed 5 years ago by igloo

Priority: highesthigh

The plan is to just document the installer as requiring OS X >= 10.7 and XCode >= 4.1.

Ideally we'd also have the installer warn if it finds it is being used on an older version.

comment:8 Changed 5 years ago by simonmar

Owner: changed from simonmar to igloo

comment:9 Changed 5 years ago by igloo

Owner: changed from igloo to pumpkin

pumpkin, here's another installer enhancement that would be useful: The ability to make the installer warn if you have XCode < some_version, or OS X < some_version. Thanks!

comment:10 Changed 5 years ago by igloo

Milestone: 7.4.17.4.2

comment:11 Changed 5 years ago by lelf

Cc: anton.nik@… added

comment:12 Changed 5 years ago by igloo

Milestone: 7.4.27.4.3

comment:13 Changed 5 years ago by igloo

Resolution: invalid
Status: newclosed

We no longer build OS X installers, so closing.

Note: See TracTickets for help on using tickets.